Bug 535215 - (RHQ-1935) Plugin dependency checking should be more lenient
Plugin dependency checking should be more lenient
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Pavel Kralik
: Improvement
Depends On:
  Show dependency treegraph
Reported: 2009-04-06 11:03 EDT by Jay Shaughnessy
Modified: 2013-04-30 19:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2009-04-06 11:03:00 EDT
If plugin A declares <depends plugin="B" useClasses="false"> and plugin B does not exist then plugin A's deployment fails.  This should be made more lenient as the deployment of A should still be valid and useful.  It may still be able to run independently and may still inject successfully into other, existing plugins.

Comment 1 Charles Crouch 2009-04-20 17:45:52 EDT
So, from greg, one use case for this feature would be 

(4:37:50 PM) ghinkle: i want to be able to inject my plugin into other people's plugins even if i'm not sure the user will have all of them
(4:41:03 PM) ccrouch: but will you really get inject just through the <depends> clause
(4:41:04 PM) ccrouch: ?
(4:41:47 PM) ghinkle: not just through it
(4:41:55 PM) ghinkle: but its needed if you want to inject
(4:42:14 PM) ccrouch: ok, necessary but not sufficient
(4:43:02 PM) ghinkle: e.g. the hibernate plugin could written to work in both jbossas and tomcat
(4:43:08 PM) ghinkle: (and probably should at some point)
Comment 2 Jay Shaughnessy 2009-04-22 11:37:45 EDT
This has been at least partially implemented.  A final solution may be more robust but rev3810 implemented leniency towards missing plugin dependencies and rev3816 prevented invalid deploymentService execution.
Comment 3 Jay Shaughnessy 2009-04-22 11:43:20 EDT
No more work on this defined at this time, so we'll resolve and create new jiras if and when we have more improvement work for plugin dependency
Comment 4 Pavel Kralik 2009-04-23 08:23:53 EDT
A hot-plug test with the Hibernate and JBossAS plugin. The Hibernate plugin registration failed first, but was successful after a while when the JBossAS plugin was registered. rev3819 
Comment 5 Red Hat Bugzilla 2009-11-10 15:49:49 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1935
This bug is related to RHQ-571
This bug is related to RHQ-1205

Note You need to log in before you can comment on or make changes to this bug.